Loading...
Searching...
No Matches
Opm::Elasticity::LinSolParams Struct Reference

## Public Member Functions

void | parse (Opm::ParameterGroup &param)
| Parse command line parameters.

## Public Attributes

Solver | type
| The linear solver to employ.
int | restart
| Number of iterations in GMRES before restart.
int | maxit
| Max number of iterations.
double | tol
| The tolerance for the iterative linear solver.
bool | symmetric
| Use MINRES instead of GMRES (and thus symmetric preconditioning).
bool | uzawa
| Use a Uzawa approach.
int | steps [2]
| The number of pre/post steps in the AMG.
int | coarsen_target
| Coarsening target in the AMG.
int | zcells
| Number of cells in z to collapse in each cell.
bool | report
| Give a report at end of solution phase.
Smoother | smoother
| Smoother type used in the AMG.
Preconditioner | pre
| Preconditioner for elasticity block.
MultiplierPreconditioner | mortarpre
| Preconditioner for mortar block.

## Member Function Documentation

## parse()

void Opm::Elasticity::LinSolParams::parse | ( | Opm::ParameterGroup & | param | ) |

inline

Parse command line parameters.

Parameters

  [in] | param | The parameter group to parse

The documentation for this struct was generated from the following file:

- opm/elasticity/elasticity_upscale.hpp